Bug 64306 - Valhalla: /usr/share/locale/ru/LC_MESSAGES/texinfo.mo is in windows-1251 instead of koi8-r
Valhalla: /usr/share/locale/ru/LC_MESSAGES/texinfo.mo is in windows-1251 inst...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: texinfo (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-01 20:19 EDT by Aleksey Nogin
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-18 13:59:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2002-05-01 20:19:53 EDT
The /usr/share/locale/ru/LC_MESSAGES/texinfo.mo file included in texinfo-4.1-1
contains all the messages in windows-1251 charset instead of the koi8-r that is
the standard charset for Russian on Unix. This essentially causes all the
messages to be printed as garbage (and I have to pipe the output to recode to
decipher them).
Comment 1 Aleksey Nogin 2002-05-01 20:23:55 EDT
P.S. the .mo contains 

Project-Id-Version: texinfo 4.0d
POT-Creation-Date: 2002-03-04 08:57-0800
PO-Revision-Date: 2001-11-20 12:47+0300
Last-Translator: Oleg S. Tihonov <tihonov@ffke-campus.mipt.ru>
Language-Team: Russian <ru@li.org>
MIME-Version: 1.0
Content-Type: text/plain; charset=koi8-r
Content-Transfer-Encoding: 8bit

which suggests that they indeed ment for int to be in koi8-r, but something went
wrong...
Comment 2 Aleksey Nogin 2002-06-18 13:59:20 EDT
Milan beta2 does not have this problem.

Note You need to log in before you can comment on or make changes to this bug.